Search Results for

Show / Hide Table of Contents

# Class MultiBarSeries

Collection of BarSeries in which bars are clustered by category

##### Inheritance

System.Object
MultiBarSeries

##### Implements

ISeries

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class MultiBarSeries : ISeries

### Constructors

#### MultiBarSeries(Int32, Single, Single, Attribute[])

Creates a new series of clustered bars.

##### Declaration

    public MultiBarSeries(int numberOfBarsPerCategory, float barsEvery, float spacing, Attribute[] colors = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | numberOfBarsPerCategory | Each category has this many bars
System.Single | barsEvery | How far appart to put each category (in graph space)
System.Single | spacing | How much spacing between bars in a category (should be less than `barsEvery`/`numberOfBarsPerCategory`)
Attribute[] | colors | Array of colors that define bar color in each category. Length must match `numberOfBarsPerCategory`

### Properties

#### Spacing

The number of units of graph space between bars. Should be less than BarEvery

##### Declaration

    public float Spacing { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

#### SubSeries

Sub collections. Each series contains the bars for a different category. Thus SubSeries[0].Bars[0] is the first bar on the axis and SubSeries[1].Bars[0] is the second etc

##### Declaration

    public IReadOnlyCollection<BarSeries> SubSeries { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<BarSeries> |

### Methods

#### AddBars(String, Rune, Single[])

Adds a new cluster of bars

##### Declaration

    public void AddBars(string label, Rune fill, params float[] values)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | label |
System.Rune | fill |
System.Single[] | values | Values for each bar in category, must match the number of bars per category

#### DrawSeries(GraphView, Rect, RectangleF)

Draws all SubSeries

##### Declaration

    public void DrawSeries(GraphView graph, Rect drawBounds, RectangleF graphBounds)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph |
Rect | drawBounds |
RectangleF | graphBounds |

### Implements

ISeries